# Online Resources for Viral Networks

## Overview

The volume *Viral Networks* (2018, VT Press) features detailed data visualizations that provide a deeper look into the relationships described by the underlying data sets examined in the chapters. In some cases, some detail contained in a visualization may be lost due to limitations imposed by page size. For this reason, the authors and publishers of this volume have chosen to make the data visualizations and associated data sets for each chapter freely available for download on the web. The download contains 9 folders, one for each chapter that features a visualization. Each visualization found in the book can be found in the folder that corresponds to the name of the chapter author. In many cases, data sets and Cytoscape files are also present which you can use as sample data in your own learning, as well as using to replicate the analysis. The download also includes interactive visualizations for figure 1.1 and figure 6.7. This readme provides further information on requirements to use each type of file.

## File types and software versions

The list below provides an overview of the various types of files (extensions) included in this repository and, where applicable, the software and versions used to produce them. This material is provided to aid in viewing and replicating or adapting the material.

_**Image files**_

  -**SVG** Vector graphics files; can rescaled without loss of quality; can be viewed in all modern browsers; individual elements can be manipulated in vector graphics software such as Adobe Illustrator and Inkscape

  -**PNG** Static images that retain the quality of the original image file; can be viewed in all modern browsers; can be manipulated in image editing software such as Adobe Photoshop; individual elements cannot be modified

  -**JPG** Static images that may lose image quality above a specific resolution but are typically are smaller in total file size; can be viewed in all modern browsers; can be manipulated in image editing software such as Adobe Photoshop; individual elements cannot be modified

_**Data files**_

  -**CSV** Plain-text comma-delimited data file; can be read in any text editor, statistical software, or spreadsheet program

  -**ACCDB** Microsoft Access 2007-2016 database; created in Access 2016 for Office365; can be read in any version of Microsoft Access 2007 or newer

  -**XLSX** Microsoft Excel workbook; created in Excel 2016 for Office365; can be read in any version of Microsoft Excel 2004 or newer

  -**CYS** Cytoscape project file (network data); created in Cytoscape version 3.6.1

  -**GEPHI** Gephi project file (network data); created in Gephi 0.9.2 with GeoLayout plugin version 0.9.2.2

  -**RDATA** R statistics data file; created in R version 3.5.0

_**Other files**_

  -**ZIP** A compressed archive; used in this repository for interactive Cytoscape projects (version above); to use, download and unzip to a new directory then open the "index.html" file in the "web_session" directory; can be viewed in all modern browsers with JavaScript and html5 support

  -**R** R statistics script file; used to replicate analysis in R (Ruis); created in R version 3.5.0 with package rENA 0.1.5

  -**PY** Python 3 script file; used to download and preprocess text data in Python (Cottle); run in Anaconda distribution of Python 3.6.6 with the following packages: pandas 0.23.3, scipy 1.1.0, scikit-learn 0.91.1

## License

All data and visualizations in this repository are licensed under a Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License.

Google ngrams data used by permission; see terms at https://books.google.com/ngrams/info for more information.

## How to cite

To cite the whole repository: please refer to the citation provided on VTechData.

To cite one or more visualizations from a single chapter, please cite the chapter and reference the visualizations by figure number and page.

When citing an individual datafile or project file, please include at least the author/collector name, the filename, the dataset name and doi, and the date the file was downloaded.